[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TMultiReadExclusiveWriteSynchronizer.Destroy

Destroys the TMultiReadExclusiveWriteSynchronizer instance

## Declaration

Source position: systhrdh.inc line 45

`public destructor TMultiReadExclusiveWriteSynchronizer.Destroy; override;`

## Description

Create destroys the instance of TMultiReadExclusiveWriteSynchronizer. It frees the TRTLCriticalSection it initialized, and calls the inherited destructor.

## Errors

None.

## See also

TRTLCriticalSection |  | A critical section.

Documentation generated on: Feb 26 2014